cl.cromer.mt

## Class MenuController

- java.lang.Object
- - cl.cromer.mt.MenuController

    public class MenuController
    extends java.lang.Object

Controlar las acciones cuando una opción es elegido en el menu.

### Field Summary

Fields
`private EstadosFinales` `estadosFinales` Los estados finales que se usa en lote y individual
`private javafx.scene.control.MenuBar` `menuBar` La barra del menu
`private javafx.scene.control.MenuItem` `menuIndiv` La opción del menu por individual
`private javafx.scene.control.MenuItem` `menuLote` La opción del enu por individual

### Constructor Summary

Constructors
Constructor and Description
`MenuController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`private java.lang.String` `agregarGatos(java.lang.String string)` Agregar un gato al inicio y al final de un string si no existen
`protected void` `cargarTransiciones()` Menu opción cargar transiciones
`protected void` `menuAcerca()` Click en acerca.
`protected void` `reconoceIndividual()` Menu opción reconocimiento individual
`protected void` `reconoceLote()` Menu opción reconocimiento lote

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### menuBar

    private javafx.scene.control.MenuBar menuBar

La barra del menu

#### menuIndiv

    private javafx.scene.control.MenuItem menuIndiv

La opción del menu por individual

#### menuLote

    private javafx.scene.control.MenuItem menuLote

La opción del enu por individual

#### estadosFinales

    private EstadosFinales estadosFinales

Los estados finales que se usa en lote y individual

### Constructor Detail

#### MenuController

    public MenuController()

### Method Detail

#### cargarTransiciones

    protected void cargarTransiciones()
                               throws java.lang.Exception

Menu opción cargar transiciones

Throws:
  `java.lang.Exception` - La excepción

#### reconoceIndividual

    protected void reconoceIndividual()
                               throws java.lang.Exception

Menu opción reconocimiento individual

Throws:
  `java.lang.Exception` - La excepción

#### reconoceLote

    protected void reconoceLote()
                         throws java.lang.Exception

Menu opción reconocimiento lote

Throws:
  `java.lang.Exception` - La excepción

#### menuAcerca

    protected void menuAcerca()

Click en acerca.

#### agregarGatos

    private java.lang.String agregarGatos(java.lang.String string)

Agregar un gato al inicio y al final de un string si no existen

Parameters:
  `string` - El string a agregar los gatos
Returns:
  String con gatos